GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
linespec_result Struct Reference

`#include "linespec.h"`

## Public Member Functions
| linespec_result ()=default
| ~linespec_result ()
| DISABLE_COPY_AND_ASSIGN (linespec_result)

## Public Attributes
bool | special_display = false
bool | pre_expanded = false
event_location_up | location
std::vector< linespec_sals > | lsals

## Detailed Description

Definition at line 56 of file linespec.h.

## Constructor & Destructor Documentation

## ◆ linespec_result()

linespec_result::linespec_result | ( |  | ) |
| default

## ◆ ~linespec_result()

linespec_result::~linespec_result | ( |  | ) |

Definition at line 4647 of file linespec.c.

References lsals, and xfree().

## Member Function Documentation

## ◆ DISABLE_COPY_AND_ASSIGN()

linespec_result::DISABLE_COPY_AND_ASSIGN | ( | linespec_result |  | ) |

## Member Data Documentation

## ◆ location

event_location_up linespec_result::location

Definition at line 76 of file linespec.h.

Referenced by agent_command_1(), canonicalize_linespec(), create_breakpoints_sal(), decode_location_default(), and parse_probes().

## ◆ lsals

std::vector<linespec_sals> linespec_result::lsals

Definition at line 79 of file linespec.h.

Referenced by agent_command_1(), break_range_command(), create_breakpoint(), create_breakpoints_sal(), decode_location_default(), and ~linespec_result().

## ◆ pre_expanded

bool linespec_result::pre_expanded = false

Definition at line 72 of file linespec.h.

Referenced by convert_linespec_to_sals(), create_breakpoints_sal(), decode_line_full(), and parse_probes().

## ◆ special_display

bool linespec_result::special_display = false

Definition at line 66 of file linespec.h.

Referenced by canonicalize_linespec(), create_breakpoints_sal(), and parse_probes().

The documentation for this struct was generated from the following files:

- /tmp/gdb-8.1/gdb/linespec.h
- /tmp/gdb-8.1/gdb/linespec.c